--- old/usr/src/cmd/checknr/checknr.c	Thu Jan 17 14:25:03 2019
+++ new/usr/src/cmd/checknr/checknr.c	Thu Jan 17 14:25:03 2019
@@ -13,7 +13,9 @@
  * Use is subject to license terms.
  */
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
+/*
+ * Copyright (c) 2018, Joyent, Inc.
+ */
 
 /*
  * checknr: check an nroff/troff input file for matching macro calls.
@@ -190,7 +192,7 @@
 #define	TEXT_DOMAIN	"SYS_TEST"
 #endif
 	(void) textdomain(TEXT_DOMAIN);
-	stk = (struct stkstr *)calloc(sizeof (struct stkstr), 100);
+	stk = (struct stkstr *)calloc(100, sizeof (struct stkstr));
 	maxstk = 100;
 	/* Figure out how many known commands there are */
 	while (knowncmds[ncmds])
--- old/usr/src/cmd/sgs/librtld_db/common/rtld_db.c	Thu Jan 17 14:25:04 2019
+++ new/usr/src/cmd/sgs/librtld_db/common/rtld_db.c	Thu Jan 17 14:25:04 2019
@@ -23,9 +23,10 @@
  * Use is subject to license terms.
  */
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
+/*
+ * Copyright (c) 2018, Joyent, Inc.
+ */
 
-
 #include	<stdlib.h>
 #include	<stdio.h>
 #include	<string.h>
@@ -162,7 +163,7 @@
 	rd_agent_t	*rap;
 
 	LOG(ps_plog(MSG_ORIG(MSG_DB_RDNEW), php));
-	if ((rap = (rd_agent_t *)calloc(sizeof (rd_agent_t), 1)) == NULL)
+	if ((rap = (rd_agent_t *)calloc(1, sizeof (rd_agent_t))) == NULL)
 		return (0);
 
 	rap->rd_psp = php;
--- old/usr/src/lib/libefi/common/rdwr_efi.c	Thu Jan 17 14:25:04 2019
+++ new/usr/src/lib/libefi/common/rdwr_efi.c	Thu Jan 17 14:25:04 2019
@@ -24,6 +24,7 @@
  * Copyright 2015 Nexenta Systems, Inc.  All rights reserved.
  * Copyright 2014 Toomas Soome <tsoome@me.com>
  * Copyright 2018 OmniOS Community Edition (OmniOSce) Association.
+ * Copyright (c) 2018, Joyent, Inc.
  */
 
 #include <stdio.h>
@@ -188,7 +189,7 @@
 	length = sizeof (struct dk_gpt) +
 	    sizeof (struct dk_part) * (nparts - 1);
 
-	if ((*vtoc = calloc(length, 1)) == NULL)
+	if ((*vtoc = calloc(1, length)) == NULL)
 		return (-1);
 
 	vptr = *vtoc;
@@ -229,7 +230,7 @@
 	if (read_disk_info(fd, &capacity, &lbsize) != 0)
 		return (VT_ERROR);
 
-	if ((mbr = calloc(lbsize, 1)) == NULL)
+	if ((mbr = calloc(1, lbsize)) == NULL)
 		return (VT_ERROR);
 
 	if ((ioctl(fd, DKIOCGMBOOT, (caddr_t)mbr)) == -1) {
@@ -256,7 +257,7 @@
 	nparts = EFI_MIN_ARRAY_SIZE / sizeof (efi_gpe_t);
 	length = (int) sizeof (struct dk_gpt) +
 	    (int) sizeof (struct dk_part) * (nparts - 1);
-	if ((*vtoc = calloc(length, 1)) == NULL)
+	if ((*vtoc = calloc(1, length)) == NULL)
 		return (VT_ERROR);
 
 	(*vtoc)->efi_nparts = nparts;
@@ -423,7 +424,7 @@
 		}
 	}
 
-	if ((dk_ioc.dki_data = calloc(label_len, 1)) == NULL)
+	if ((dk_ioc.dki_data = calloc(1, label_len)) == NULL)
 		return (VT_ERROR);
 
 	dk_ioc.dki_length = disk_info.dki_lbsize;
@@ -1020,7 +1021,7 @@
 	 * for backup GPT header.
 	 */
 	lba_backup_gpt_hdr = vtoc->efi_last_u_lba + 1 + nblocks;
-	if ((dk_ioc.dki_data = calloc(dk_ioc.dki_length, 1)) == NULL)
+	if ((dk_ioc.dki_data = calloc(1, dk_ioc.dki_length)) == NULL)
 		return (VT_ERROR);
 
 	efi = dk_ioc.dki_data;
--- old/usr/src/lib/libilb/common/ilb_comm.c	Thu Jan 17 14:25:04 2019
+++ new/usr/src/lib/libilb/common/ilb_comm.c	Thu Jan 17 14:25:04 2019
@@ -22,6 +22,8 @@
 /*
  * Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
  * Use is subject to license terms.
+ *
+ * Copyright (c) 2018, Joyent, Inc.
  */
 
 #include <stdlib.h>
@@ -60,7 +62,7 @@
 	if (hp == NULL)
 		return (ILB_STATUS_EINVAL);
 
-	hi = calloc(sizeof (*hi), 1);
+	hi = calloc(1, sizeof (*hi));
 	if (hi == NULL)
 		return (ILB_STATUS_ENOMEM);
 
--- old/usr/src/lib/libipmi/common/libipmi.c	Thu Jan 17 14:25:04 2019
+++ new/usr/src/lib/libipmi/common/libipmi.c	Thu Jan 17 14:25:04 2019
@@ -21,6 +21,8 @@
 /*
  * Copyright 2010 Sun Microsystems, Inc.  All rights reserved.
  * Use is subject to license terms.
+ *
+ * Copyright (c) 2018, Joyent, Inc.
  */
 
 #include <libipmi.h>
@@ -37,7 +39,7 @@
 	if (msg)
 		*msg = NULL;
 
-	if ((ihp = calloc(sizeof (ipmi_handle_t), 1)) == NULL) {
+	if ((ihp = calloc(1, sizeof (ipmi_handle_t))) == NULL) {
 		*errp = EIPMI_NOMEM;
 		if (msg)
 			*msg = "memory allocation failure";
